/*
 * @(#)LibraryConfig.java  1.0.0 / 2008-03-10
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka;

/**
 * Library Configuration.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class LibraryConfig {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /**
   * Debug switch (the value is {@value}).
   */
  public static final boolean DEBUG = false;

  /**
   * Verbose switch (the value is {@value}).
   */
  public static final boolean VERBOSE = false;

  /**
   * Info switch (the value is {@value}).
   */
  public static final boolean INFO = DEBUG || VERBOSE;

/*^**************************************************************************^*/
/*- Private Constructor.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Class has no instances.
   */
  private LibraryConfig() {
    // empty constructor body
  }

}

/*^*****************************************************************************
  File History:

 - 2008-03-10 15:57:56 Slobodan
   Initial version

*****************************************************************************^*/
