/*
 * @(#)StackTrace.java  1.0.0 / 2008-05-16
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.appcontainer;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dialog;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Insets;

import javax.swing.BorderFactory;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

import net.wrka.awt.AwtTools;
import net.wrka.swing.components.text.JWxBasicTextArea;
import net.wrka.swing.resources.BuiltInResources;

/**
 * Shows stack trace for current application.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
final class StackTrace extends JDialog {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final long serialVersionUID = -619188426915402810L;

/*^**************************************************************************^*/
/*- Package-Private Constructor.                                             -*/
/*^**************************************************************************^*/

  StackTrace(Dialog d)  {
    super(d, true);
    StringBuffer sb = new StringBuffer(AppContainer.getApplicationName());
    sb.append(BuiltInResources.INSTANCE.getResourceBundle(
        AppContainer.RESOURCES).getString(AppContainer.RK_STACK_TRACE_TITLE));
    setTitle(sb.toString());
    setDefaultCloseOperation(DISPOSE_ON_CLOSE);
    setSize(new Dimension(550, 400));
    setResizable(false);
    AwtTools.centerWindow(this, d);
    JWxBasicTextArea jwxbtaErrorOut = new JWxBasicTextArea();
    jwxbtaErrorOut.setEditable(false);
    jwxbtaErrorOut.setAutoscrolls(true);
    jwxbtaErrorOut.setForeground(Color.RED);
    jwxbtaErrorOut.setWrapStyleWord(false);
    JPanel p = new JPanel(new BorderLayout());
    p.setBorder(BorderFactory.createEmptyBorder(4, 4, 8, 4));
    JScrollPane scroller = new JScrollPane();
    scroller.getViewport().add(jwxbtaErrorOut);
    p.add(scroller, BorderLayout.CENTER);
    getContentPane().add(p);
    jwxbtaErrorOut.setMargin(new Insets(3, 3, 3, 4));
    jwxbtaErrorOut.setFont(new Font("Dialog", Font.PLAIN, 12)); //$NON-NLS-1$
    jwxbtaErrorOut.setText(AppContainer.getErrorOutputStream().toString());
    setVisible(true);
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-16 22:28:23 Slobodan
   Initial version

*****************************************************************************^*/
