/*
 * @(#)JWxMenu.java  1.0.0 / 2008-05-21
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.components;

import javax.swing.Action;
import javax.swing.JMenu;
import javax.swing.JMenuItem;

/**
 * Abstract Select Action.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class JWxMenu extends JMenu {

/*^**************************************************************************^*/
/*- Overridden Constructors.                                                 -*/
/*^**************************************************************************^*/


  /**
   * Constructs new JWxMenu object.
   */
  public JWxMenu() {
    super();
  }

  /**
   * Constructs new JWxMenu object.
   *
   * @param text the text
   */
  public JWxMenu(String text) {
    super(text);
  }

  /**
   * Constructs new JWxMenu object.
   *
   * @param action the action
   */
  public JWxMenu(Action action) {
    super(action);
  }

  /**
   * Constructs new JWxMenu object.
   *
   * @param text the text
   * @param action the action
   */
  public JWxMenu(String text, boolean action) {
    super(text, action);
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public JMenuItem add(Action a) {
    if (a.getValue("selected") instanceof Boolean) { //$NON-NLS-1$
      return super.add(new JWxCheckBoxMenuItem(a));
    }
    return super.add(a);
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-21 20:28:46 Slobodan
   Initial version

*****************************************************************************^*/
