/*
 * @(#)JWxTable.java  1.0.0 / 2008-05-22
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.components;

import java.util.Vector;

import javax.swing.JTable;
import javax.swing.ListSelectionModel;
import javax.swing.table.TableColumnModel;
import javax.swing.table.TableModel;

import net.wrka.swing.patch.PatchManager;

/**
 * Extended/Patched JTable.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class JWxTable extends JTable {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new JWxTable object.
   */
  public JWxTable() {
    super(null, null, null);
  }

  /**
   * Constructs new JWxTable object.
   *
   * @param dm the data model
   */
  public JWxTable(TableModel dm) {
    super(dm, null, null);
  }

  /**
   * Constructs new JWxTable object.
   *
   * @param dm the data model
   * @param cm the column model
   */
  public JWxTable(TableModel dm, TableColumnModel cm) {
    super(dm, cm, null);
  }

  /**
   * Constructs new JWxTable object.
   *
   * @param dm the data model
   * @param cm the column model
   * @param sm the selection model
   */
  public JWxTable(TableModel dm, TableColumnModel cm, ListSelectionModel sm) {
    super(dm, cm, sm);
  }

  /**
   * Constructs new JWxTable object.
   *
   * @param numRows the number of rows
   * @param numColumns the number of columns
   */
  public JWxTable(int numRows, int numColumns) {
    super(numRows, numColumns);
  }

  /**
   * Constructs new JWxTable object.
   *
   * @param rowData the row data
   * @param columnNames the column names
   */
  public JWxTable(Vector rowData, Vector columnNames) { // NOPMD
    super(rowData, columnNames);
  }

  /**
   * Constructs new JWxTable object.
   *
   * @param rowData the row data
   * @param columnNames the column names
   */
  public JWxTable(Object[][] rowData, Object[] columnNames) {
    super(rowData, columnNames);
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void updateUI() {
    super.updateUI();
    if (PatchManager.APPLAY_PATCH_14 && (tableHeader != null) &&
        (tableHeader.getParent() == null)) {
      tableHeader.updateUI();
    }
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-22 00:34:25 Slobodan
   Initial version

*****************************************************************************^*/
