/*
 * @(#)TabCloseListener.java  1.0.0 / 2008-05-22
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.components;

/**
 * Tab Close Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public interface TabCloseListener {

  /**
   * Returns <tt>true</tt> if the specified tab can be closed.
   *
   * @param pane the tab pane
   * @param tabIndex the tab index
   *
   * @return <tt>true</tt> if specified tab can be closed
   */
  public boolean canClose(JWxTabbedPane pane, int tabIndex);


  /**
   * Notifies listener that the specified tab is closed.
   *
   * @param pane the tab pane
   * @param tabIndex the tab index
   */
  public void tabClosed(JWxTabbedPane pane, int tabIndex);

}

/*^*****************************************************************************
  File History:

 - 2008-05-22 10:04:53 Slobodan
   Initial version

*****************************************************************************^*/
