/*
 * @(#)AboutPanel.java  1.0.0 / 2008-05-19
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.components.about;

import java.awt.Insets;
import java.awt.LayoutManager;

import javax.swing.border.EmptyBorder;

import net.wrka.swing.components.JWxGriddedPanel;

/**
 * About Panel.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public abstract class AboutPanel extends JWxGriddedPanel {

/*^**************************************************************************^*/
/*- Protected Static Field.                                                  -*/
/*^**************************************************************************^*/

  /**
   * Shared empty border.
   */
  protected static final EmptyBorder EMPTY_BORDER;

/*^**************************************************************************^*/
/*- Static Initialization.                                                   -*/
/*^**************************************************************************^*/

  static {
    EMPTY_BORDER = new EmptyBorder(4, 4, 4, 3);
  }

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new AboutPanel object.
   */
  public AboutPanel() {
    super();
    setBorder(EMPTY_BORDER);
  }

  /**
   * Constructs new AboutPanel object.
   *
   * @param insets the insets
   */
  public AboutPanel(Insets insets) {
    super(insets);
    setBorder(EMPTY_BORDER);
  }

  /**
   * Constructs new AboutPanel object.
   *
   * @param layout layout manager
   */
  public AboutPanel(LayoutManager layout) {
    super(layout);
    setBorder(EMPTY_BORDER);
  }

/*^**************************************************************************^*/
/*- Public Method.                                                           -*/
/*^**************************************************************************^*/

  /**
   * Updates this panel.
   */
  public void update() { // NOPMD
    // empty method body
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-19 21:37:37 Slobodan
   Initial version

*****************************************************************************^*/
