/*
 * @(#)AbstractAboutGroup.java  1.0.0 / 2008-05-19
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.components.about;

/**
 * Abstract About Group.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public abstract class AbstractAboutGroup implements AboutGroup {

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private final String groupName;

/*^**************************************************************************^*/
/*- Protected Constructors.                                                  -*/
/*^**************************************************************************^*/

  /**
   * Constructs new AboutPanel object.
   *
   * @param groupName the name of the group
   */
  protected AbstractAboutGroup(String groupName) {
    if (groupName == null) {
      throw new IllegalArgumentException("Invalid group name"); //$NON-NLS-1$
    }
    this.groupName = groupName;
  }

/*^**************************************************************************^*/
/*- Protected Methods.                                                       -*/
/*^**************************************************************************^*/

  /**
   * Returns the name of the group.
   *
   * @return the name of the group
   */
  public String getGroupName() {
    return groupName;
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-19 21:42:06 Slobodan
   Initial version

*****************************************************************************^*/
