/*
 * @(#)HtmlAboutGroup.java  1.0.0 / 2008-05-19
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.components.about;

import java.net.URL;

/**
 * HTML About Group.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class HtmlAboutGroup extends AbstractAboutGroup {

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private final URL url;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new JWxHTMLAbout object.
   *
   * @param name the name
   * @param url the url
   */
  public HtmlAboutGroup(String name, URL url) {
    super(name);
    this.url = url;
  }

/*^**************************************************************************^*/
/*- AboutGroup Implementation.                                               -*/
/*^**************************************************************************^*/

  /**
   * Creates about panel.
   *
   * @return JPanel
   */
  public AboutPanel getGroupPanel() {
    return new HtmlAboutPanel(url);
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-19 21:44:00 Slobodan
   Initial version

*****************************************************************************^*/
