/*
 * @(#)SystemAboutGroup.java  1.0.0 / 2008-05-19
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.components.about;

import net.wrka.swing.resources.BuiltInResources;

/**
 * System Information.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class SystemAboutGroup extends AbstractAboutGroup {

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new SystemAboutGroup object.
   */
  public SystemAboutGroup() {
    super(BuiltInResources.INSTANCE.getResourceBundle(AboutBox.RESOURCES).
                                            getString(AboutBox.RK_SYSTEM_NAME));
  }

/*^**************************************************************************^*/
/*- AboutGroup Implementation.                                               -*/
/*^**************************************************************************^*/

  /**
   * Creates about panel.
   *
   * @return JPanel
   */
  public AboutPanel getGroupPanel() {
    return new SystemAboutPanel();
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-19 21:40:01 Slobodan
   Initial version

*****************************************************************************^*/
