/*
 * @(#)StatusBarPanelUI.java  1.0.0 / 2008-05-20
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.components.plaf;

import javax.swing.JComponent;
import javax.swing.plaf.ComponentUI;

/**
 * StatusBarPanelUI.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public abstract class StatusBarPanelUI extends ComponentUI {

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void installUI(JComponent c) {
    installDefaults(c);
    installListeners(c);
    installKeyboardActions(c);
  }

  /**
   * {@inheritDoc}
   */
  public void uninstallUI(JComponent c) {
    uninstallKeyboardActions(c);
    uninstallListeners(c);
    uninstallDefaults(c);
  }

/*^**************************************************************************^*/
/*- Protected Methods.                                                       -*/
/*^**************************************************************************^*/

  /**
   * Installs defaults for the specified component.
   *
   * @param c the component
   */
  protected void installDefaults(JComponent c) { // NOPMD
    // empty method body
  }

  /**
   * Uninstalls defaults for the specified component.
   *
   * @param c the component
   */
  protected void installListeners(JComponent c) { // NOPMD
    // empty method body
  }

  /**
   * Installs keyboard actions the specified component.
   *
   * @param c the component
   */
  protected void installKeyboardActions(JComponent c) { // NOPMD
    // empty method body
  }

  /**
   * Uninstalls keyboard actions the specified component.
   *
   * @param c the component
   */
  protected void uninstallKeyboardActions(JComponent c) { // NOPMD
    // empty method body
  }

  /**
   * Uninstalls listeners.
   *
   * @param c the component
   */
  protected void uninstallListeners(JComponent c) { // NOPMD
    // empty method body
  }

  /**
   * Uninstalls defaults.
   *
   * @param c the component
   */
  protected void uninstallDefaults(JComponent c) { // NOPMD
    // empty method body
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-20 21:15:56 Slobodan
   Initial version

*****************************************************************************^*/
