/*
 * @(#)WxStatusBarUI.java  1.0.0 / 2008-05-20
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.components.plaf;

import javax.swing.JComponent;
import javax.swing.plaf.ComponentUI;

import net.wrka.swing.components.JWxStatusBar;

/**
 * WxStatusBarUI.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public abstract class WxStatusBarUI extends ComponentUI {

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void installUI(JComponent c) {
    if (c instanceof JWxStatusBar) {
      JWxStatusBar sb = (JWxStatusBar)c; // FB: OK
      installDefaults(sb);
      installListeners(sb);
      installKeyboardActions(sb);
    } else {
      throw new IllegalArgumentException("Invalid component"); //$NON-NLS-1$
    }
  }

  /**
   * {@inheritDoc}
   */
  public void uninstallUI(JComponent c) {
    if (c instanceof JWxStatusBar) {
      JWxStatusBar sb = (JWxStatusBar)c; // FB: OK
      uninstallKeyboardActions(sb);
      uninstallListeners(sb);
      uninstallDefaults(sb);
    } else {
      throw new IllegalArgumentException("Invalid component"); //$NON-NLS-1$
    }
  }

/*^**************************************************************************^*/
/*- Protected Methods.                                                       -*/
/*^**************************************************************************^*/

  /**
   * Installs defaults.
   *
   * @param sb the status bar
   */
  protected void installDefaults(JWxStatusBar sb) { // NOPMD
    // empty method body
  }

  /**
   * Installs listeners.
   *
   * @param sb the status bar
   */
  protected void installListeners(JWxStatusBar sb) { // NOPMD
    // empty method body
  }

  /**
   * Installs keyboard actions.
   *
   * @param sb the status bar
   */
  protected void installKeyboardActions(JWxStatusBar sb) { // NOPMD
    // empty method body
  }

  /**
   * Uninstalls keyboard actions.
   *
   * @param sb the status bar
   */
  protected void uninstallKeyboardActions(JWxStatusBar sb) { // NOPMD
    // empty method body
  }

  /**
   * Uninstalls listeners.
   *
   * @param sb the status bar
   */
  protected void uninstallListeners(JWxStatusBar sb) { // NOPMD
    // empty method body
  }

  /**
   * Uninstalls defaults.
   *
   * @param sb the status bar
   */
  protected void uninstallDefaults(JWxStatusBar sb) { // NOPMD
    // empty method body
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-20 22:04:03 Slobodan
   Initial version

*****************************************************************************^*/
