/*
 * @(#)CharSequenceSegment.java  1.0.0 / 2008-05-23
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.components.text;

import javax.swing.text.Segment;

/**
 * CharSequence Segment.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0
 */
public class CharSequenceSegment extends Segment implements CharSequence {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new CharSequenceSegment object.
   */
  public CharSequenceSegment() {
    this(true);
  }

  /**
   * Constructs new CharSequenceSegment object.
   *
   * @param partialReturn partial return
   */
  public CharSequenceSegment(boolean partialReturn) {
    super();
    setPartialReturn(partialReturn);
  }

/*^**************************************************************************^*/
/*- CharSequence Implementation.                                             -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public int length() {
    return count;
  }

  /**
   * {@inheritDoc}
   */
  public char charAt(int index) {
    return array[offset + index];
  }

  /**
   * {@inheritDoc}
   */
  public CharSequence subSequence(int start, int end) {
    return new String(array, offset + start, end - start);
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-23 08:47:15 Slobodan
   Initial version

*****************************************************************************^*/
