/*
 * @(#)JWxBasicTextArea.java  1.0.0 / 2008-05-23
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.components.text;

import javax.swing.JTextArea;
import javax.swing.plaf.ComponentUI;
import javax.swing.plaf.TextUI;
import javax.swing.text.Document;

/**
 * Basic Text Area. (Can't change UI)
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class JWxBasicTextArea extends JTextArea {

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new JWxBasicTextArea object.
   */
  public JWxBasicTextArea() {
    this(null, null, 0, 0);
  }

  /**
   * Constructs new JWxBasicTextArea object.
   *
   * @param text the text
   */
  public JWxBasicTextArea(String text) {
    this(null, text, 0, 0);
  }

  /**
   * Constructs new JWxBasicTextArea object.
   *
   * @param rows the number of rows
   * @param columns the number of columns
   */
  public JWxBasicTextArea(int rows, int columns) {
    this(null, null, rows, columns);
  }

  /**
   * Constructs new JWxBasicTextArea object.
   *
   * @param text the text
   * @param rows the number of rows
   * @param columns the number of columns
   */
  public JWxBasicTextArea(String text, int rows, int columns) {
    this(null, text, rows, columns);
  }

  /**
   * Constructs new JWxBasicTextArea object.
   *
   * @param doc the document
   */
  public JWxBasicTextArea(Document doc) {
    this(doc, null, 0, 0);
  }

  /**
   * Constructs new JWxBasicTextArea object.
   *
   * @param doc the document
   * @param text the text
   * @param rows the number of rows
   * @param columns the number of columns
   */
  public JWxBasicTextArea(Document doc, String text, int rows, int columns) {
    super(doc, text, rows, columns);
    super.setUI(javax.swing.plaf.basic.BasicTextAreaUI.createUI(this));
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void setUI(ComponentUI newUI) {
    // empty method body
  }

  /**
   * {@inheritDoc}
   */
  public void setUI(TextUI textUI) {
    // empty method body
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-23 08:31:22 Slobodan
   Initial version

*****************************************************************************^*/
