/*
 * @(#)RegExCodeEditorKit.java  1.0.0 / 2008-05-23
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.components.text.code;

import javax.swing.text.Document;

/**
 * Code EditorKit.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public abstract class RegExCodeEditorKit extends AbstractCodeEditorKit {

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new RegExCodeEditorKit object.
   */
  public RegExCodeEditorKit() {
    super();
    syntaxHighlight = true;
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * Creates default document.
   *
   * @return default document
   */
  public Document createDefaultDocument() {
    return new RegExCodeDocument(syntaxHighlight, getRETypes());
  }

/*^**************************************************************************^*/
/*- Protected Abstract Method.                                               -*/
/*^**************************************************************************^*/

  /**
   * Returns RegExTypes.
   *
   * @return RegExTypes
   */
  protected abstract RegExTypes getRETypes();

}

/*^*****************************************************************************
  File History:

 - 2008-05-23 23:46:56 Slobodan
   Initial version

*****************************************************************************^*/
