/*
 * @(#)RegExXMLTypes.java  1.0.0 / 2008-05-24
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.components.text.code.kits;

import java.awt.Color;

import net.wrka.swing.components.text.code.RegExTypes;

/**
 * RegExXMLTypes.
 * (Based on article
 * http://www.ftponline.com/javapro/2003_07/magazine/columns/visualcomponents/
 * Created by Claude Duguay)
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class RegExXMLTypes extends RegExTypes {

/*^**************************************************************************^*/
/*- Package-Private Static Final Field.                                      -*/
/*^**************************************************************************^*/

  static final RegExXMLTypes INSTANCE = new RegExXMLTypes();

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new RegExXMLTypes object.
   */
  public RegExXMLTypes() {
    super();
    addTokenType("tag", "<!--.*-->", Color.GRAY); //$NON-NLS-1$ //$NON-NLS-1$
    addTokenType("text", "<[^ ]*|[\\?]?>", //$NON-NLS-1$ //$NON-NLS-1$
                 Color.BLUE);
    addTokenType("comment", //$NON-NLS-1$
                 "\"(?:\\\\.|[^\"\\\\])*\"", Color.RED); //$NON-NLS-1$
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-24 08:43:14 Slobodan
   Initial version

*****************************************************************************^*/
