/*
 * @(#)EmptyIcon.java  1.0.0 / 2008-05-17
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.graphics;

import java.awt.Component;
import java.awt.Graphics;

import javax.swing.Icon;

/**
 * Empty Icon.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class EmptyIcon implements Icon {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /**
   * Shared 16x16 pixels icon.
   */
  public static final EmptyIcon ICON_16 = new EmptyIcon(16, 16);

/*^**************************************************************************^*/
/*- Private Fields.                                                          -*/
/*^**************************************************************************^*/

  private final int width;
  private final int height;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new EmptyIcon object.
   *
   * @param width the icon width
   * @param height the icon height
   */
  public EmptyIcon(int width, int height) {
    this.width = width;
    this.height = height;
  }

/*^**************************************************************************^*/
/*- Icon Implementation.                                                     -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public int getIconHeight() {
    return width;
  }

  /**
   * {@inheritDoc}
   */
  public int getIconWidth() {
    return height;
  }

  /**
   * {@inheritDoc}
   */
  public void paintIcon(Component c, Graphics g, int x, int y) {
    // empty method body
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-17 22:48:05 Slobodan
   Initial version

*****************************************************************************^*/
