/*
 * @(#)PatchManager.java  1.0.0 / 2008-05-15
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.patch;

import net.wrka.LibraryInfo;

/**
 * Patch Manager.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class PatchManager {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /**
   * Applies java 1.4 patch.
   */
  public static final boolean APPLAY_PATCH_14;

  /**
   * Applies java 1.5 patch.
   */
  public static final boolean APPLAY_PATCH_15;

/*^**************************************************************************^*/
/*- Static Initialization.                                                   -*/
/*^**************************************************************************^*/

  static {
    APPLAY_PATCH_14 = !LibraryInfo.IS_JAVA_15_OR_HIGHER;
    APPLAY_PATCH_15 = LibraryInfo.IS_JAVA_15;
  }

/*^**************************************************************************^*/
/*- Private Constructor.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Class has no instances.
   */
  private PatchManager() {
    // empty constructor body
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-15 21:17:38 Slobodan
   Initial version

*****************************************************************************^*/
