/*
 * @(#)DarkShadowLineBorderUIResource.java  1.0.0 / 2008-05-19
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.plaf;

import java.awt.Color;

import javax.swing.plaf.UIResource;

import net.wrka.swing.borders.DarkShadowLineBorder;

/**
 * Line Border UIResource.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class DarkShadowLineBorderUIResource extends DarkShadowLineBorder
                                            implements UIResource {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final long serialVersionUID = 3609150037636881557L;

/*^**************************************************************************^*/
/*- Public Static Field.                                                     -*/
/*^**************************************************************************^*/

  /**
   * The shared instance.
   */
  public static final DarkShadowLineBorderUIResource SHARED_INSTANCE;

/*^**************************************************************************^*/
/*- Static Initialization.                                                   -*/
/*^**************************************************************************^*/

  static {
    SHARED_INSTANCE = new DarkShadowLineBorderUIResource();
  }

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new DarkShadowLineBorderUIResource object.
   */
  public DarkShadowLineBorderUIResource() {
    super();
  }

  /**
   * Constructs new DarkShadowLineBorderUIResource object.
   *
   * @param thickness the line thickness
   */
  public DarkShadowLineBorderUIResource(int thickness)  {
    super(thickness);
  }

  /**
   * Constructs new DarkShadowLineBorderUIResource object.
   *
   * @param thickness line thickness
   * @param roundedCorners whether or not border corners should be round
   */
  public DarkShadowLineBorderUIResource(int thickness, boolean roundedCorners) {
    super(thickness, roundedCorners);
  }

  /**
   * Constructs new DarkShadowLineBorderUIResource object.
   *
   * @param color the line color
   */
  public DarkShadowLineBorderUIResource(Color color) {
    super(color);
  }

  /**
   * Constructs new DarkShadowLineBorderUIResource object.
   *
   * @param color the line color
   * @param thickness the line thickness
   */
  public DarkShadowLineBorderUIResource(Color color, int thickness)  {
    super(color, thickness);
  }

  /**
   * Constructs new DarkShadowLineBorderUIResource object.
   *
   * @param color the line color
   * @param thickness the line thickness
   * @param roundedCorners whether or not border corners should be round
   */
  public DarkShadowLineBorderUIResource(Color color, int thickness,
                              boolean roundedCorners)  {
    super(color, thickness, roundedCorners);
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-19 22:06:22 Slobodan
   Initial version

*****************************************************************************^*/
