/*
 * @(#)LookAndFeelChangeListener.java  1.0.0 / 2008-05-19
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.plaf;

import javax.swing.LookAndFeel;

/**
 * Look and Feel Change Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public interface LookAndFeelChangeListener {

  /**
   * Notifies listener that the current look and feel has been changed.
   *
   * @param oldLnF the old look and feel
   * @param newLaF the new look and feel
   */
  public void lookAndFeelChanged(LookAndFeel oldLnF, LookAndFeel newLaF);

}

/*^*****************************************************************************
  File History:

 - 2008-05-19 22:07:56 Slobodan
   Initial version

*****************************************************************************^*/
