/*
 * @(#)RenderingPolicy.java  1.0.0 / 2008-05-19
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.plaf;

import java.awt.Graphics2D;

/**
 * Rendering Policy Interface.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public interface RenderingPolicy {

  /**
   * Applies the rendering policy to the specified graphics object.
   *
   * @param g the Graphics2D object
   */
  public void apply(Graphics2D g);

}

/*^*****************************************************************************
  File History:

 - 2008-05-19 22:05:51 Slobodan
   Initial version

*****************************************************************************^*/
