/*
 * @(#)TinyTheme.java  1.0.0 / 2008-05-19
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.plaf.metal.themes;

import java.awt.Font;

import javax.swing.plaf.FontUIResource;
import javax.swing.plaf.metal.DefaultMetalTheme;

import net.wrka.swing.graphics.FontUtils;

/**
 * Tiny Metal Theme.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class TinyTheme extends DefaultMetalTheme {

/*^**************************************************************************^*/
/*- Protected Static Field.                                                  -*/
/*^**************************************************************************^*/

  /**
   * Tiny font.
   */
  protected static final FontUIResource TINY_FONT;

/*^**************************************************************************^*/
/*- Static Initialization.                                                   -*/
/*^**************************************************************************^*/

  static {
    TINY_FONT = new FontUIResource(FontUtils.DEFAULT_FONT.
                                                  deriveFont(Font.PLAIN, 11f));
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public String getName() {
    return "Thiny"; //$NON-NLS-1$
  }

  /**
   * {@inheritDoc}
   */
  public FontUIResource getControlTextFont() {
    return TINY_FONT;
  }

  /**
   * {@inheritDoc}
   */
  public FontUIResource getSystemTextFont() {
    return TINY_FONT;
  }

  /**
   * {@inheritDoc}
   */
  public FontUIResource getUserTextFont() {
    return TINY_FONT;
  }

  /**
   * {@inheritDoc}
   */
  public FontUIResource getMenuTextFont() {
    return TINY_FONT;
  }

  /**
   * {@inheritDoc}
   */
  public FontUIResource getWindowTitleFont() {
    return TINY_FONT;
  }

  /**
   * {@inheritDoc}
   */
  public FontUIResource getSubTextFont() {
    return TINY_FONT;
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-19 23:56:55 Slobodan
   Initial version

*****************************************************************************^*/
