/*
 * @(#)SmoothButtonMenuItemUI.java  1.0.0 / 2008-05-24
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.plaf.smooth;

import javax.swing.JComponent;
import javax.swing.plaf.ComponentUI;

/**
 * RadioButtonMenuItemUI.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class SmoothButtonMenuItemUI extends SmoothMenuItemUI {

/*^**************************************************************************^*/
/*- Public Static Method.                                                    -*/
/*^**************************************************************************^*/

  /**
   * Factory method. Return ui for the specified component.
   *
   * @param c the component
   *
   * @return ui for the specified component
   */
  public static ComponentUI createUI(JComponent c) {
    return new SmoothButtonMenuItemUI();
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected String getPropertyPrefix() {
    return "RadioButtonMenuItem"; //$NON-NLS-1$
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-24 09:43:22 Slobodan
   Initial version

*****************************************************************************^*/






