/*
 * @(#)SmoothCheckBoxUI.java  1.0.0 / 2008-05-24
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.plaf.smooth;

import javax.swing.JComponent;
import javax.swing.plaf.ComponentUI;

/**
 * CheckBoxUI.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class SmoothCheckBoxUI extends SmoothRadioButtonUI {

/*^**************************************************************************^*/
/*- Private Static Final Fields.                                             -*/
/*^**************************************************************************^*/

  private static final SmoothCheckBoxUI SHARED_INSTANCE;
  private static final String PROP_PREFIX;

/*^**************************************************************************^*/
/*- Static Initialization.                                                   -*/
/*^**************************************************************************^*/

  static {
    SHARED_INSTANCE = new SmoothCheckBoxUI();
    PROP_PREFIX = "CheckBox."; //$NON-NLS-1$
  }

/*^**************************************************************************^*/
/*- Public Static Method.                                                    -*/
/*^**************************************************************************^*/

  /**
   * Factory method. Return ui for the specified component.
   *
   * @param c the component
   *
   * @return ui for the specified component
   */
  public static ComponentUI createUI(JComponent c) {
    return SHARED_INSTANCE;
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public String getPropertyPrefix() {
    return PROP_PREFIX;
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-24 09:45:14 Slobodan
   Initial version

*****************************************************************************^*/
