/*
 * @(#)SmoothFormattedTextFieldUI.java  1.0.0 / 2008-05-24
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.plaf.smooth;

import javax.swing.JComponent;
import javax.swing.plaf.ComponentUI;

/**
 * FormattedTextFieldUI.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class SmoothFormattedTextFieldUI extends SmoothTextFieldUI {

/*^**************************************************************************^*/
/*- Public Static Method.                                                    -*/
/*^**************************************************************************^*/

  /**
   * Factory method. Return ui for the specified component.
   *
   * @param c the component
   *
   * @return ui for the specified component
   */
  public static ComponentUI createUI(JComponent c) {
    return new SmoothFormattedTextFieldUI();
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected String getPropertyPrefix() {
    return "FormattedTextField"; //$NON-NLS-1$
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-24 10:12:59 Slobodan
   Initial version

*****************************************************************************^*/
