/*
 * @(#)SmoothTextFieldUI.java  1.0.0 / 2008-05-24
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.plaf.smooth;

import java.awt.Graphics;
import java.awt.Graphics2D;

import javax.swing.JComponent;
import javax.swing.plaf.ComponentUI;
import javax.swing.plaf.basic.BasicTextFieldUI;
import javax.swing.text.JTextComponent;

/**
 * TextFieldUI.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class SmoothTextFieldUI extends BasicTextFieldUI {

/*^**************************************************************************^*/
/*- Public Static Method.                                                    -*/
/*^**************************************************************************^*/

  /**
   * Factory method. Return ui for the specified component.
   *
   * @param c the component
   *
   * @return ui for the specified component
   */
  public static ComponentUI createUI(JComponent c) {
    return new SmoothTextFieldUI();
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected void paintSafely(Graphics g) {
    SmoothLookAndFeel.getRenderingPolicy(this).apply((Graphics2D)g);
    super.paintSafely(g);
  }

  /**
   * {@inheritDoc}
   */
  protected void paintBackground(Graphics g) {
    JTextComponent textComponent = getComponent();
    g.setColor(textComponent.getBackground());
    g.fillRect(1, 1, textComponent.getWidth() - 1,
               textComponent.getHeight() - 1);
    if (textComponent.isOpaque()) {
      SmoothUtils.drawFastInvFlat3DEffectVerticalLight(g, textComponent);
    }
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-24 11:17:15 Slobodan
   Initial version

*****************************************************************************^*/
