/*
 * @(#)ApplicationPreferencesListener.java  1.0.0 / 2008-05-18
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.preferences;

/**
 * Application Preferences Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public interface ApplicationPreferencesListener {

  /**
   * Notifies listener that preference has changed.
   *
   * @param name the preference name
   * @param oldValue the old preference value
   * @param newValue the new preference value
   */
  public void preferenceChanged(String name, Object oldValue, Object newValue);

}

/*^*****************************************************************************
  File History:

 - 2008-05-18 17:45:40 Slobodan
   Initial version

*****************************************************************************^*/
