/*
 * @(#)AboutResources.java  1.0.0 / 2008-05-15
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.resources.bundles;

import java.util.ListResourceBundle;

import net.wrka.swing.components.about.AboutBox;

/**
 * About Resources.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class AboutResources extends ListResourceBundle {

/*^**************************************************************************^*/
/*- Private Static Field.                                                    -*/
/*^**************************************************************************^*/

  private static final Object[][] CONTENTS = {
    //CS:OFF
    { AboutBox.RK_DIALOG_TITLE, "About" }, //$NON-NLS-1$
    { AboutBox.RK_DIALOG_CLOSE_BUTTON, "Close" }, //$NON-NLS-1$
    { AboutBox.RK_SYSTEM_NAME, "System" }, //$NON-NLS-1$
    { AboutBox.RK_SYSTEM_PROPERTIES, "Properties:" }, //$NON-NLS-1$
    { AboutBox.RK_SYSTEM_PROPERTY_NAME, "Name" }, //$NON-NLS-1$
    { AboutBox.RK_SYSTEM_PROPERTY_VALUE, "Value" }, //$NON-NLS-1$
    { AboutBox.RK_SYSTEM_JVM_HEAP, "Java VM Heap:" }, //$NON-NLS-1$
    { AboutBox.RK_SYSTEM_JVM_ALLOCATED, "Allocated: #0.0 MB" }, //$NON-NLS-1$
    { AboutBox.RK_SYSTEM_JVM_USED, "Used: #0.0 MB" } //$NON-NLS-1$
    //CS:ON
  };

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected Object[][] getContents() {
    return CONTENTS; // NOPMD
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-15 10:41:12 Slobodan
   Initial version

*****************************************************************************^*/
