/*
 * @(#)AppContainerResources.java  1.0.0 / 2008-05-15
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.resources.bundles;

import java.util.ListResourceBundle;

import net.wrka.swing.appcontainer.AppContainer;

/**
 * AppContainer resources.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class AppContainerResources extends ListResourceBundle {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final Object[][] CONTENTS = {
    //CS:OFF
    { AppContainer.RK_ERROR_DIALOG_TITLE, " Error" },//$NON-NLS-1$
    { AppContainer.RK_ERROR_DIALOG_MSG_EXCEPTION,
                 "An unexpected application error has occured." },//$NON-NLS-1$
    { AppContainer.RK_ERROR_DIALOG_MSG_TERMINATE,
        "Program should be terminated!" },//$NON-NLS-1$
    { AppContainer.RK_ERROR_DIALOG_MSG_TERMINATED,
                                       "Program is terminated!" },//$NON-NLS-1$
    { AppContainer.RK_ERROR_DIALOG_OPTIONS, "Options:" }, //$NON-NLS-1$
    { AppContainer.RK_ERROR_DIALOG_TERMINATE, "Terminate" }, //$NON-NLS-1$
    { AppContainer.RK_ERROR_DIALOG_IGNORE, "Ignore" }, //$NON-NLS-1$
    { AppContainer.RK_ERROR_DIALOG_DETAILS, "Details" }, //$NON-NLS-1$
    { AppContainer.RK_STACK_TRACE_TITLE, " Error Details" } //$NON-NLS-1$
    //CS:ON
  };

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected Object[][] getContents() {
    return CONTENTS; // NOPMD
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-15 11:06:48 Slobodan
   Initial version

*****************************************************************************^*/
