/*
 * @(#)JWxHtmlBrowserResources.java  1.0.0 / 2008-05-15
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.resources.bundles;

import java.util.ListResourceBundle;

import net.wrka.swing.components.JWxHtmlBrowser;

/**
 * HTML Browser resources.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class JWxHtmlBrowserResources extends ListResourceBundle {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final Object[][] CONTENTS = {
    //CS:OFF
    { JWxHtmlBrowser.RK_MESSAGE_FAILED,
      "<HTML><B>ERROR ! </B><P>&nbsp;&nbsp; Navigation failed." }, //$NON-NLS-1$
    { JWxHtmlBrowser.RK_MESSAGE_FAILED_FILE_START,
                                    " Could not open: </P><P>" }, //$NON-NLS-1$
    { JWxHtmlBrowser.RK_MESSAGE_FAILED_FILE_END, "</P></HTML>" }, //$NON-NLS-1$
    { JWxHtmlBrowser.RK_LABEL_BACK, "Back" }, //$NON-NLS-1$
    { JWxHtmlBrowser.RK_LABEL_GO_BACK, "Go Back" }, //$NON-NLS-1$
    { JWxHtmlBrowser.RK_LABEL_FORWARD, "Forward" }, //$NON-NLS-1$
    { JWxHtmlBrowser.RK_LABEL_GO_FORWARD, "Go Forward" }, //$NON-NLS-1$
    { JWxHtmlBrowser.RK_LABEL_HOME, "Home" }, //$NON-NLS-1$
    { JWxHtmlBrowser.RK_LABEL_GO_HOME, "Go Home" }, //$NON-NLS-1$
    { JWxHtmlBrowser.RK_LABEL_RELOAD, "Reload" }, //$NON-NLS-1$
    { JWxHtmlBrowser.RK_LABEL_DO_REALOD, "Reload" } //$NON-NLS-1$
    //CS:ON
  };

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected Object[][] getContents() {
    return CONTENTS; // NOPMD
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-15 11:07:19 Slobodan
   Initial version

*****************************************************************************^*/
