/*
 * @(#)PreferenceResources.java  1.0.0 / 2008-05-15
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.resources.bundles;

import java.util.ListResourceBundle;

import net.wrka.swing.preferences.GeneralPreferences;
import net.wrka.swing.preferences.PlafPreferences;
import net.wrka.swing.preferences.PersistentPreferences;

/**
 * PersistentPreferences Resources.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class PreferenceResources extends ListResourceBundle {

/*^**************************************************************************^*/
/*- Private Static Field.                                                    -*/
/*^**************************************************************************^*/

  private static final Object[][] CONTENTS = {
    //CS:OFF
    { GeneralPreferences.RK_GROUP_NAME, "General" }, //$NON-NLS-1$
    { PlafPreferences.RK_GROUP_NAME, "Look & Feel" }, //$NON-NLS-1$
    { PersistentPreferences.RK_TITLE, "Preferences" }, //$NON-NLS-1$
    { PersistentPreferences.RK_APPLY_BUTTON_TEXT, "Apply" }, //$NON-NLS-1$
    { PersistentPreferences.RK_APPLY_BUTTON_TOOLTIP,
                                               "Apply changes" }, //$NON-NLS-1$
    { PersistentPreferences.RK_CANCEL_BUTTON_TEXT, "Cancel" }, //$NON-NLS-1$
    { PersistentPreferences.RK_CANCEL_BUTTON_TOOLTIP,
                                              "Cancel changes" }, //$NON-NLS-1$
    { PersistentPreferences.RK_HELP_BUTTON_TEXT, "Help" }, //$NON-NLS-1$
    { PersistentPreferences.RK_HELP_BUTTON_TOOLTIP, "Show help" }, //$NON-NLS-1$
    { PersistentPreferences.RK_HELP_TOPIC, "Preferences" }, //$NON-NLS-1$
    { PersistentPreferences.RK_REMEMBER_CHANGES,
                                            "remember changes" }, //$NON-NLS-1$
    { PersistentPreferences.RK_SHOW_SPLASH,
      "show spash (depends on \"remember changes\")" } //$NON-NLS-1$
    // CS:ON
  };

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected Object[][] getContents() {
    return CONTENTS; // NOPMD
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-15 11:09:13 Slobodan
   Initial version

*****************************************************************************^*/
