/*
 * @(#)SplashResources.java  1.0.0 / 2008-05-15
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.resources.bundles;

import java.util.ListResourceBundle;

import net.wrka.swing.splash.Splash;

/**
 * Splash Resources.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class SplashResources extends ListResourceBundle {

/*^**************************************************************************^*/
/*- Private Static Field.                                                    -*/
/*^**************************************************************************^*/

  private static final Object[][] CONTENTS = {
    //CS:OFF
    { Splash.RK_MESSAGE_START, "Loading..." }, //$NON-NLS-1$
    { Splash.RK_MESSAGE_INITIALIZING, "Initializing libraries" }, //$NON-NLS-1$
    { Splash.RK_MESSAGE_FINISH, "Finished" } //$NON-NLS-1$
    // CS:ON
  };

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected Object[][] getContents() {
    return CONTENTS; // NOPMD
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-15 11:11:16 Slobodan
   Initial version

*****************************************************************************^*/
