/*
 * @(#)TextSearchDialogResources.java  1.0.0 / 2008-05-15
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.swing.resources.bundles;

import java.util.ListResourceBundle;

import net.wrka.swing.components.text.TextSearchDialog;

/**
 * TextSearchDialog resources.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class TextSearchDialogResources extends ListResourceBundle {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final Object[][] CONTENTS = {
    //CS:OFF
    { TextSearchDialog.RK_DIALOG_TITLE, "Find and Replace" }, //$NON-NLS-1$
    { TextSearchDialog.RK_TEXTFIELD_TITLE, "Find" }, //$NON-NLS-1$
    { TextSearchDialog.RK_TAB_REPLACE_TITLE, "Replace" }, //$NON-NLS-1$
    { TextSearchDialog.RK_LABEL_FINDWHAT_TEXT, "Find what:" }, //$NON-NLS-1$
    { TextSearchDialog.RK_BUTTON_FIND_TEXT, "  Find  " }, //$NON-NLS-1$
    { TextSearchDialog.RK_BUTTON_CLOSE_TEXT, "  Close  " }, //$NON-NLS-1$
    { TextSearchDialog.RK_LABEL_REPLACE_TEXT, "Replace:" }, //$NON-NLS-1$
    { TextSearchDialog.RK_BUTTON_REPLACE_TEXT, "Replace" }, //$NON-NLS-1$
    { TextSearchDialog.RK_BUTTON_REPLACEALL_TEXT,
                                                 "Replace All" }, //$NON-NLS-1$
    { TextSearchDialog.RK_OPTIONS_TITLE, "Options" }, //$NON-NLS-1$
    { TextSearchDialog.RK_OPTIONS_WORDS_ONLY,
                                            "Whole words only" }, //$NON-NLS-1$
    { TextSearchDialog.RK_OPTIONS_MATCH_CASE, "Match case" }, //$NON-NLS-1$
    { TextSearchDialog.RK_OPTIONS_SERACH_UP, "Search Up" }, //$NON-NLS-1$
    { TextSearchDialog.RK_OPTIONS_SERACH_DOWN, "Search Down" } //$NON-NLS-1$
    //CS:ON
  };

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected Object[][] getContents() {
    return CONTENTS; // NOPMD
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-15 10:36:26 Slobodan
   Initial version

*****************************************************************************^*/
