/*
 * @(#)CommonConstants.java  1.0.0 / 2008-04-30
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.util;

/**
 * Common Constants.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class CommonConstants {

/*^**************************************************************************^*/
/*- String Constants.                                                        -*/
/*^**************************************************************************^*/

  /**
   * Empty string (the value is {@value}).
   */
  public static final String STRING_EMPTY = ""; //$NON-NLS-1$

  /**
   * Space string (the value is {@value}).
   */
  public static final String STRING_SPACE = " "; //$NON-NLS-1$

  /**
   * Dot string (the value is {@value}).
   */
  public static final String STRING_DOT = "."; //$NON-NLS-1$

  /**
   * Comma string (the value is {@value}).
   */
  public static final String STRING_COMMA = ","; //$NON-NLS-1$

  /**
   * Slash string (the value is {@value}).
   */
  public static final String STRING_SLASH = "/"; //$NON-NLS-1$

  /**
   * Tab string (the value is {@value}).
   */
  public static final String STRING_TAB = "\t";

  /**
   * Default line separator string (the value is {@value}).
   */
  public static final String STRING_DEFAULT_LINE_SEPARATOR = "\n";

  /**
   * Null string (the value is {@value}).
   */
  public static final String STRING_NULL = "null";

  /**
   * True string (value is "true").
   */
  public static final String STRING_TRUE = Boolean.TRUE.toString();

  /**
   * False string (value is "false").
   */
  public static final String STRING_FALSE = Boolean.FALSE.toString();

  /**
   * Text string (the value is {@value}).
   */
  public static final String STRING_TEXT = "text";

  /**
   * Text/HTML string (the value is {@value}).
   */
  public static final String STRING_TEXT_HTML = "text/html";

/*^**************************************************************************^*/
/*- Array Constants.                                                         -*/
/*^**************************************************************************^*/

  /**
   * Empty array of objects (the value is Object[0]).
   */
  public static final Object[] EMPTY_OBJECT_ARRAY = new Object[0];

  /**
   * Empty array of strings (the value is String[0]).
   */
  public static final String[] EMPTY_STRING_ARRAY = new String[0];

  /**
   * Empty array of ints (the value is int[0]).
   */
  public static final int[] EMPTY_INT_ARRAY = new int[0];

  /**
   * Empty array of bytes (the value is byte[0]).
   */
  public static final byte[] EMPTY_BYTE_ARRAY = new byte[0];

  /**
   * Empty array of floats (the value is float[0]).
   */
  public static final float[] EMPTY_FLOAT_ARRAY = new float[0];

/*^**************************************************************************^*/
/*- Private Constructor.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Class has no instances.
   */
  private CommonConstants() {
    // empty constructor body
  }

}

/*^*****************************************************************************
  File History:

 - 2008-04-30 13:12:30 Slobodan
   Initial version

*****************************************************************************^*/
