/*
 * @(#)StringIterator.java  1.0.0 / 2008-05-12
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.util;

/**
 * String Iterator.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public interface StringIterator {

  /**
   * Returns <tt>true</tt> if the iteration has more strings.
   *
   * @return <tt>true</tt> if the iterator has more strings
   */
  public boolean hasNextString();

  /**
   * Returns the next string in the iteration.
   *
   * @return the next string in the iteration
   *
   * @exception java.util.NoSuchElementException iteration has no more strings
   */
  public String nextString();

  /**
   *
   * Removes from the underlying collection the last string returned by the
   * iterator (optional operation).
   *
   * @exception UnsupportedOperationException if the <tt>remove</tt>
   *            operation is not supported by this Iterator
   * @exception IllegalStateException if the <tt>nextString</tt> method has not
   *            yet been called, or the <tt>remove</tt> method has already
   *            been called after the last call to the <tt>next</tt> method
   */
  public void removeString();

}

/*^*****************************************************************************
  File History:

 - 2008-05-12 20:50:23 Slobodan
   Initial version

*****************************************************************************^*/
