/*
 * @(#)XMLPreferencesConstants.java  1.0.0 / 2008-05-13
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.xml.preferences;

/**
 * CommonConstants for XML Preferences.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
interface XMLPreferencesConstants {

/*^**************************************************************************^*/
/*- Package-Private Static Fields.                                           -*/
/*^**************************************************************************^*/

  /**
   * <tt>DOCTYPE</tt> string constant.
   */
  static final String DOCTYPE =
      "preferences SYSTEM " + //$NON-NLS-1$
      "'http://java.sun.com/dtd/preferences.dtd'"; //$NON-NLS-1$

  /**
   * <tt>PRERERENCES</tt> string constant.
   */
  static final String PRERERENCES = "preferences"; //$NON-NLS-1$

  /**
   * <tt>EXT_KEY</tt> string constant.
   */
  static final String EXT_KEY = "EXTERNAL_XML_VERSION"; //$NON-NLS-1$

  /**
   * <tt>EXT_VALUE</tt> string constant.
   */
  static final String EXT_VALUE = "1.0"; //$NON-NLS-1$

  /**
   * <tt>ROOT</tt> string constant.
   */
  static final String ROOT = "root"; //$NON-NLS-1$

  /**
   * <tt>TYPE</tt> string constant.
   */
  static final String TYPE = "type"; //$NON-NLS-1$

  /**
   * <tt>USER</tt> string constant.
   */
  static final String USER = "user"; //$NON-NLS-1$

  /**
   * <tt>SYSTEM</tt> string constant.
   */
  static final String SYSTEM = "system"; //$NON-NLS-1$

  /**
   * <tt>MAP</tt> string constant.
   */
  static final String MAP = "map"; //$NON-NLS-1$

  /**
   * <tt>ENTRY</tt> string constant.
   */
  static final String ENTRY = "entry"; //$NON-NLS-1$

  /**
   * <tt>NODE</tt> string constant.
   */
  static final String NODE = "node"; //$NON-NLS-1$

  /**
   * <tt>NAME</tt> string constant.
   */
  static final String NAME = "name"; //$NON-NLS-1$

  /**
   * <tt>KEY</tt> string constant.
   */
  static final String KEY = "key"; //$NON-NLS-1$

  /**
   * <tt>VALUE</tt> string constant.
   */
  static final String VALUE = "value"; //$NON-NLS-1$

}

/*^*****************************************************************************
  File History:

 - 2008-05-13 14:09:03 Slobodan
   Initial version

*****************************************************************************^*/
