/*
 * @(#)XMLAttributeNotExists.java  1.0.0 / 2008-04-29
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.xml.simple;

/**
 * Indicates that an attribute not exists.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class XMLAttributeNotExists extends Exception {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final long serialVersionUID = -8486912085272162709L;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new XMLAttributeNotExists object.
   *
   * @param attrName the attribute name
   */
  public XMLAttributeNotExists(String attrName) {
    super(attrName);
  }

}

/*^*****************************************************************************
  File History:

 - 2008-04-29 17:59:05 Slobodan
   Initial version

*****************************************************************************^*/
