/*
 * @(#)XMLConstants.java  1.0.0 / 2008-04-29
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.xml.simple;

/**
 * XML Common CommonConstants.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class XMLConstants {

/*^**************************************************************************^*/
/*- Public String CommonConstants.                                           -*/
/*^**************************************************************************^*/

  /**
   * <tt>Space</tt> string.
   */
  public static final String STRING_SPACE = " "; //$NON-NLS-1$

  /**
   * <tt>null</tt> string.
   */
  public static final String STRING_NULL = "null"; //$NON-NLS-1$

  /**
   * <tt>br</tt> string.
   */
  public static final String STRING_BR = "br"; //$NON-NLS-1$

  /**
   * <tt>True</tt> string.
   */
  public static final String STRING_TRUE = Boolean.TRUE.toString();

  /**
   * <tt>False</tt> string.
   */
  public static final String STRING_FALSE = Boolean.FALSE.toString();

  /**
   * Transitional XHTML document header.
   */
  public static final String TRANSITIONAL_XHTML_HEADER =
           "html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional" + //$NON-NLS-1$
           "//EN\" \"http://www.w3.org/TR/xhtml1/DTD/" + //$NON-NLS-1$
           "xhtml1-transitional.dtd\""; //$NON-NLS-1$

  /**
   * Default XML header.
   */
  public static final String DEFAULT_XML_HEADER =
                       "xml version=\"1.0\" encoding=\"utf-8\""; //$NON-NLS-1$

  /**
   * <tt>DOCTYPE</tt> string.
   */
  public static final String DOCTYPE = "<!DOCTYPE"; //$NON-NLS-1$

/*^**************************************************************************^*/
/*- Package-Private Static Final Fields.                                     -*/
/*^**************************************************************************^*/

  static final char[] SPACE = {' '};
  static final char[] TAB = {'\t'};
  static final char[] TAG_START = {'<'};
  static final char[] TAG_END = {'>'};
  static final char[] END_TAG_START = {'<', '/'};
  static final char[] EMPTY_ELEM_END = {'/', '>'};
  static final char[] ATTR_START = {'=', '"'};
  static final char[] ATTR_END = {'"'};
  static final char[] COMMENT_START = {'<', '!', '-', '-', ' '};
  static final char[] COMMENT_END = {' ', '-', '-', '>'};
  static final char[] HEADER_START = {'<', '?'};
  static final char[] HEADER_END = {'?', '>'};

/*^**************************************************************************^*/
/*- Private Constructor.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Class has no instances.
   */
  private XMLConstants() {
    // empty constructor body
  }

}

/*^*****************************************************************************
  File History:

 - 2008-04-29 17:58:34 Slobodan
   Initial version

*****************************************************************************^*/
