/*
 * @(#)XMLElement.java  1.0.0 / 2008-04-29
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.xml.simple;

/**
 * XML Element.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class XMLElement {

/*^**************************************************************************^*/
/*- Public Static Final Fields.                                              -*/
/*^**************************************************************************^*/

  /**
   * Multiline element.
   */
  public static final int MULTILINE_ELEMENT = 0;

  /**
   * Inline element.
   */
  public static final int INLINE_ELEMENT = 1;

  /**
   * Empty element.
   */
  public static final int EMPTY_ELEMENT = 2;

/*^**************************************************************************^*/
/*- Package-Private Fields.                                                  -*/
/*^**************************************************************************^*/

  String name;
  int kind;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new XMLElement object.
   *
   * @param name the element name
   * @param kind the element kind
   */
  public XMLElement(String name, int kind) {
    this.name = name;
    this.kind = kind;
  }

}

/*^*****************************************************************************
  File History:

 - 2008-04-29 17:55:58 Slobodan
   Initial version

*****************************************************************************^*/
