/*
 * @(#)XMLStoringException.java  1.0.0 / 2008-04-29
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.xml.simple;

import java.io.IOException;

/**
 * Indicates XML Storing Errors.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class XMLStoringException extends IOException {

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private static final long serialVersionUID = 1690896382777995453L;

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new XMLStoringException object.
   *
   * @param errorMessage the error message
   */
  public XMLStoringException(String errorMessage) {
    super(errorMessage);
  }

  /**
   * Constructs new XMLStoringException object.
   */
  public XMLStoringException() {
    super("XML storing failed"); //$NON-NLS-1$
  }

}

/*^*****************************************************************************
  File History:

 - 2008-04-29 17:54:17 Slobodan
   Initial version

*****************************************************************************^*/
