/*
 * @(#)DefaultDocumentHandler.java  1.0.0 / 2008-04-26
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.xml.simple.sax;

import net.wrka.xml.simple.XMLAttributes;

/**
 * Default XML Document Handler.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class DefaultDocumentHandler implements DocumentHandler {

/*^**************************************************************************^*/
/*- Empty DocumentHandler Implementation.                                    -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void startDocument() throws ParsingException {
    // empty implementation
  }

  /**
   * {@inheritDoc}
   */
  public void endDocument() throws ParsingException {
    // empty implementation
  }

  /**
   * {@inheritDoc}
   */
  public void startElement(String tag,
                           XMLAttributes attrs) throws ParsingException {
    // empty implementation
  }

  /**
   * {@inheritDoc}
   */
  public void endElement(String tag) throws ParsingException {
    // empty implementation
  }

  /**
   * {@inheritDoc}
   */
  public void characters(String str) throws ParsingException {
    // empty implementation
  }

/*^**************************************************************************^*/
/*- Public Static Method.                                                    -*/
/*^**************************************************************************^*/

  /**
   * Returns <tt>true</tt> if the specified string is "white" string.
   * (string that contains all white space characters)
   *
   * @param str the string
   *
   * @return <tt>true</tt> if the string is "white" string
   */
  public static boolean isWhiteString(String str) {
    int stringLength = str.length();
    for (int i = 0; i < stringLength; i++) {
      if (!Character.isWhitespace(str.charAt(i))) {
        return false;
      }
    }
    return true;
  }

}

/*^*****************************************************************************
  File History:

 - 2008-04-26 11:51:34 Slobodan
   Initial version

*****************************************************************************^*/
