/*
 * @(#)MJAsmSemanticError.java  1.0.0 / 2008-05-27
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.asm;

/**
 * Indicates symbol definition errors.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class MJAsmSemanticError extends MJAsmError {

/*^**************************************************************************^*/
/*- Package-Private Static Final Field.                                      -*/
/*^**************************************************************************^*/

  static final String[] ERRORS = {
    /* 0 */  null, //Undefined
    /* 1 */  "Label not defined", //$NON-NLS-1$
    /* 2 */  "Label already defined" //$NON-NLS-1$
  };

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJAsmSemanticError object.
   *
   * @param errorCode error code
   * @param pos int symbol position
   * @param len int symbol length
   * @param line int symbol line
   * @param col int symbol column
   */
  public MJAsmSemanticError(int errorCode, int pos, int len, int line,
                            int col) {
    super("Semantic error", null, errorCode, pos, len, line, col); //$NON-NLS-1$
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected String getErrorDecs(int errorCode) {
    if ((errorCode >= 0) && (errorCode < ERRORS.length)) {
      return ERRORS[errorCode];
    }
    return super.getErrorDecs(errorCode);
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-27 20:59:35 Slobodan
   Initial version

*****************************************************************************^*/
