/*
 * @(#)MJBytecodeGeneralPreferencesPanel.java  1.0.0 / 2008-05-27
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.asm.gui;

import java.awt.BorderLayout;
import java.awt.Insets;
import java.util.prefs.Preferences;

import javax.swing.JCheckBox;
import javax.swing.JPanel;
import javax.swing.border.TitledBorder;

import net.wrka.swing.preferences.GeneralPreferencesPanel;

import yu.ac.bg.etf.ri4pp.mjtools.vm.gui.MJVMGeneralPreferences;

/**
 * MJBytecode General Preferences Panel.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
final class MJAsmGeneralPreferencesPanel extends GeneralPreferencesPanel {

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private final JCheckBox jcbVerbose;
  private final JCheckBox jcbEchoOn;
  private final JCheckBox jcbAlwaysCreateNew;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJAsmGeneralPreferencesPanel object.
   *
   * @param preferences the preferences
   */
  public MJAsmGeneralPreferencesPanel(Preferences preferences) {
    super(preferences);
    add(jcbStorepreferences);
    add(jcbShowSplash);
    Insets opins = new Insets(6, 10, 10, 2);
    jcbVerbose = new JCheckBox("Verbose"); //$NON-NLS-1$
    jcbVerbose.setMargin(opins);
    JPanel mjasmOptions = new JPanel(new BorderLayout());
    mjasmOptions.setBorder(new TitledBorder("MJ Assembler")); //$NON-NLS-1$
    mjasmOptions.add(jcbVerbose, BorderLayout.WEST);
    addComponent(mjasmOptions, 0, 0, 1, 1, GBC_NORTHWEST, GBC_HORIZONTAL, null,
                 1.0, 0.33);
    jcbEchoOn = new JCheckBox("echo on"); //$NON-NLS-1$
    jcbEchoOn.setMargin(opins);
    jcbAlwaysCreateNew = new JCheckBox("always create new"); //$NON-NLS-1$
    jcbAlwaysCreateNew.setMargin(opins);
    JPanel mjvmOptions = new JPanel(new BorderLayout());
    mjvmOptions.setBorder(new TitledBorder("MJVM")); //$NON-NLS-1$
    mjvmOptions.add(jcbEchoOn, BorderLayout.WEST);
    mjvmOptions.add(jcbAlwaysCreateNew, BorderLayout.CENTER);
    addComponent(mjvmOptions, 0, 1, 1, 1, GBC_NORTHWEST, GBC_HORIZONTAL, null,
                 1.0, 0.33);
    jcbShowSplash.setMargin(opins);
    JPanel mjvmStartup = new JPanel(new BorderLayout());
    mjvmStartup.setBorder(new TitledBorder("Startup")); //$NON-NLS-1$
    mjvmStartup.add(jcbShowSplash, BorderLayout.WEST);
    addComponent(mjvmStartup, 0, 2, 1, 1, GBC_NORTHWEST, GBC_HORIZONTAL, null,
                 1.0, 0.33);
    jcbStorepreferences.setMargin(opins);
    JPanel mjvmSetting = new JPanel(new BorderLayout());
    mjvmSetting.setBorder(new TitledBorder("Settings")); //$NON-NLS-1$
    mjvmSetting.add(jcbStorepreferences, BorderLayout.WEST);
    addComponent(mjvmSetting, 0, 3, 1, 1, GBC_NORTHWEST, GBC_HORIZONTAL, null,
                 1.0, 0.33);
    update();
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void applyChanges() {
    super.applyChanges();
    preferences.putBoolean(MJAsmGeneralPreferences.MJASM_VERBOSE,
                           jcbVerbose.isSelected());
    preferences.putBoolean(MJVMGeneralPreferences.MJVM_CONSOLE_ECHO,
                           jcbEchoOn.isSelected());
    preferences.putBoolean(MJAsmGeneralPreferences.MJASM_ALWAYS_NEW_MJVM,
                           jcbAlwaysCreateNew.isSelected());
  }

  /**
   * {@inheritDoc}
   */
  public void update() {
    super.update();
    jcbVerbose.setSelected(
      preferences.getBoolean(MJAsmGeneralPreferences.MJASM_VERBOSE, false));
    jcbEchoOn.setSelected(
      preferences.getBoolean(MJVMGeneralPreferences.MJVM_CONSOLE_ECHO, false));
    jcbAlwaysCreateNew.setSelected(
      preferences.getBoolean(MJAsmGeneralPreferences.MJASM_ALWAYS_NEW_MJVM,
                             false));
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-27 14:05:25 Slobodan
   Initial version

*****************************************************************************^*/
