/*
 * @(#)MJAsmStandardOutputStream.java  1.0.0 / 2008-05-27
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.asm.gui;

import java.io.OutputStream;

/**
 * Standard Output Stream.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class MJAsmStandardOutputStream extends OutputStream {

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private final MJAsmOutput mjamo;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJAsmErrorOutputStream object.
   *
   * @param mjamo MJAsmMessegesOutput
   */
  public MJAsmStandardOutputStream(MJAsmOutput mjamo) {
    super();
    if (mjamo == null) {
      throw new IllegalArgumentException(
                                     "Null MJAsmMessegesOutput"); //$NON-NLS-1$
    }
    this.mjamo = mjamo;
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void write(int b) {
    synchronized (mjamo) {
      mjamo.print(b);
    }
  }

  /**
   * {@inheritDoc}
   */
  public void write(byte[] ba) {
    synchronized (mjamo) {
      mjamo.print(ba);
    }
  }

  /**
   * {@inheritDoc}
   */
  public void write(byte[] ba, int off, int len) {
    synchronized (mjamo) {
      mjamo.print(ba, off, len);
    }
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-27 18:08:51 Slobodan
   Initial version

*****************************************************************************^*/
