/*
 * @(#)MJBytecodeEditor.java  1.0.0 / 2008-05-27
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.bce;

import java.awt.Window;

import javax.swing.ImageIcon;

import net.wrka.swing.appcontainer.AppContainer;
import net.wrka.swing.appcontainer.GUIApplication;
import net.wrka.swing.help.SimpleHelp;
import net.wrka.swing.preferences.PersistentPreferences;
import net.wrka.swing.preferences.PlafPreferences;

import yu.ac.bg.etf.ri4pp.mjtools.res.MJResourceManager;
import yu.ac.bg.etf.ri4pp.mjtools.utils.MJIOManager;

/**
 * MJ Bytecode Editor.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class MJBytecodeEditor extends GUIApplication {

/*^**************************************************************************^*/
/*- Private Constructor.                                                     -*/
/*^**************************************************************************^*/

  private MJBytecodeEditor(String[] args) {
    super("MJBCE", "MicroJava Bytecode Editor", //$NON-NLS-1$ //$NON-NLS-2$
          "1.0.0 (2008-06-02)", //$NON-NLS-1$
          "ETF (www.etf.bg.ac.yu)", MJResourceManager.INSTANCE, //$NON-NLS-1$
          args);
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected Window createMainWindow() {
    return new MJBytecodeEditorFrame();
  }

  /**
   * {@inheritDoc}
   */
  protected ImageIcon getSplashImage() {
    return guiResourceManager.getImageIcon("MJBCESplash.png"); //$NON-NLS-1$
  }

  /**
   * {@inheritDoc}
   */
  protected int getSplashUpdatesCount() {
    return 2;
  }

  /**
   * {@inheritDoc}
   */
  protected void addPreferenceGroups() {
    PersistentPreferences.addPreferenceGroup(
                                        MJBytecodeGeneralPreferences.INSTANCE);
    PersistentPreferences.addPreferenceGroup(PlafPreferences.getInstance());
  }

  /**
   * {@inheritDoc}
   */
  protected void initHelp() {
    SimpleHelp.setHelp("Help", //$NON-NLS-1$
                       guiResourceManager.getHelpURL(
                                            "MJBCEHelpTOC.xml")); //$NON-NLS-1$
  }

  /**
   * {@inheritDoc}
   */
  protected boolean warmUp() {
    return (super.warmUp() && MJIOManager.warmUp());
  }

/*^**************************************************************************^*/
/*- Public Static Method.                                                    -*/
/*^**************************************************************************^*/

  /**
   * Starts application.
   *
   * @param args the application arguments
   */
  public static void main(String[] args) {
    AppContainer.run(new MJBytecodeEditor(args));
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-27 13:47:39 Slobodan
   Initial version

*****************************************************************************^*/
