/*
 * @(#)MJBytecodeSegment.java  1.0.0 / 2008-05-27
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.bce;

import java.util.NoSuchElementException;

import javax.swing.text.Segment;

import yu.ac.bg.etf.ri4pp.mjtools.utils.MJByteIterator;

/**
 * MicroJava Bytecode Segment.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
final class MJBytecodeSegment extends Segment implements MJByteIterator {

/*^**************************************************************************^*/
/*- Package-Private Fields.                                                  -*/
/*^**************************************************************************^*/

  int index;
  int last;

/*^**************************************************************************^*/
/*- MJByteIterator Implementation.                                           -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public boolean hasNext() {
    return (index < last);
  }

  /**
   * {@inheritDoc}
   */
  public byte nextByte() {
    if (index >= last) {
      throw new NoSuchElementException();
    }
    int result = 0;
    char ch;
    while ((index < last) && (ch = array[index++]) != '\n') {
      result *= 10;
      result += Character.digit(ch, 10);
    }
    return (byte)result;
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-27 14:08:42 Slobodan
   Initial version

*****************************************************************************^*/
