/*
 * @(#)MJBytecodeTextArea.java  1.0.0 / 2008-05-27
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.bce;

import java.awt.Font;

import javax.swing.border.EmptyBorder;
import javax.swing.text.Document;

import net.wrka.swing.components.text.JWxTextArea;

/**
 * MicroJava Bytecode TextArea.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
final class MJBytecodeTextArea extends JWxTextArea {

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJBytecodeTextArea object.
   *
   * @param editable editable state
   */
  public MJBytecodeTextArea(boolean editable) {
    this(null, editable);
  }

  /**
   * Constructs new MJBytecodeTextArea object.
   *
   * @param doc the document
   */
  public MJBytecodeTextArea(Document doc) {
    this(doc, true);
  }

  /**
   * Constructs new MJBytecodeTextArea object.
   *
   * @param doc the document
   * @param editable editable state
   */
  public MJBytecodeTextArea(Document doc, boolean editable) {
    super(doc, editable);
    setBorder(new EmptyBorder(2, 2, 2, 2));
    setFont(new Font("DialogInput", Font.BOLD, 12)); //$NON-NLS-1$
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-27 14:10:24 Slobodan
   Initial version

*****************************************************************************^*/
