/*
 * @(#)MJResourceManager.java  1.0.0 / 2008-05-26
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.res;

import java.io.InputStream;

import net.wrka.swing.resources.GUIResourceManager;

/**
 *  MicroJava Resource Manager.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class MJResourceManager extends GUIResourceManager {

/*^**************************************************************************^*/
/*- Public Static Final Field.                                               -*/
/*^**************************************************************************^*/

  /**
   * Singleton instance.
   */
  public static final MJResourceManager INSTANCE = new MJResourceManager();

/*^**************************************************************************^*/
/*- Private Static Final Field.                                              -*/
/*^**************************************************************************^*/

  private final String EXAMPLES;

/*^**************************************************************************^*/
/*- Private Constructor.                                                     -*/
/*^**************************************************************************^*/

  private MJResourceManager() {
    super(null, "images", "help", //$NON-NLS-1$ //$NON-NLS-1$
          "about");
    EXAMPLES = homeFolder.concat("examples"); //$NON-NLS-1$
  }

/*^**************************************************************************^*/
/*- Public Methods.                                                          -*/
/*^**************************************************************************^*/

  /**
   * Creates example stream form resource repository.
   *
   * @param fileName resource file name
   *
   * @return input stream
   */
  public InputStream getExampleStream(String fileName) {
    if (fileName == null) {
      throw new IllegalArgumentException("Null fileName"); //$NON-NLS-1$
    }
    try {
      return classLoader.getResourceAsStream(concatResource(EXAMPLES,
                                                            fileName));
    } catch (Throwable t) { // NOPMD
      logError(ERROR_FILE_NOT_FOUND, fileName, EXAMPLES);
      return null;
    }
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-26 17:58:52 Slobodan
   Initial version

*****************************************************************************^*/
