/*
 * @(#)MJByteIterator.java  1.0.0 / 2008-05-26
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.utils;

/**
 * Bytecode Iterator.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public interface MJByteIterator {

  /**
   * Returns <tt>true</tt> if the iteration has more elements.
   *
   * @return <tt>true</tt> if the iterator has more elements.
   */
  public boolean hasNext();

  /**
   * Returns the next byte in the iteration.
   *
   * @return the next byte in the iteration
   *
   * @exception java.util.NoSuchElementException iteration has no more elements.
   */
  public byte nextByte();

}

/*^*****************************************************************************
  File History:

 - 2008-05-26 18:24:53 Slobodan
   Initial version

*****************************************************************************^*/
