/*
 * @(#)MJVMCodeMemoryListener.java  1.0.0 / 2008-05-26
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm;

/**
 * MJVM Code Memory Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public interface MJVMCodeMemoryListener extends MJVMMemoryListener {

  /**
   * Notifies listener that code memory location has changed.
   *
   * @param address the memory location address
   * @param oldValue the memory location old value
   * @param newValue the memory location new value
   */
  public void codeMemoryLocationChanged(int address, byte oldValue,
                                        byte newValue);

  /**
   * Notifies listener that code memory PC has changed.
   *
   * @param oldValue the old PC value
   * @param newValue the new PC value
   */
  public void codeMemoryPCChanged(int oldValue, int newValue);

}

/*^*****************************************************************************
  File History:

 - 2008-05-26 20:36:26 Slobodan
   Initial version

*****************************************************************************^*/
