/*
 * @(#)MJVMInstructionCodes.java  1.0.0 / 2008-05-26
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm;

/**
 * MJVM Instruction Codes.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public interface MJVMInstructionCodes {

/*^**************************************************************************^*/
/*- Public Static Final Fields.                                              -*/
/*^**************************************************************************^*/

  /**
   * Instruction LOAD (the value is {@value}).
   */
  public static final int LOAD = 1;

  /**
   * Instruction LOAD_0 (the value is {@value}).
   */
  public static final int LOAD_0 = 2;

  /**
   * Instruction LOAD_1 (the value is {@value}).
   */
  public static final int LOAD_1 = 3;

  /**
   * Instruction LOAD_2 (the value is {@value}).
   */
  public static final int LOAD_2 = 4;

  /**
   * Instruction LOAD_3 (the value is {@value}).
   */
  public static final int LOAD_3 = 5;

  /**
   * Instruction STORE (the value is {@value}).
   */
  public static final int STORE = 6;

  /**
   * Instruction STORE_0 (the value is {@value}).
   */
  public static final int STORE_0 = 7;

  /**
   * Instruction STORE_1 (the value is {@value}).
   */
  public static final int STORE_1 = 8;

  /**
   * Instruction STORE_2 (the value is {@value}).
   */
  public static final int STORE_2 = 9;

  /**
   * Instruction STORE_3 (the value is {@value}).
   */
  public static final int STORE_3 = 10;

  /**
   * Instruction GETSTATIC (the value is {@value}).
   */
  public static final int GETSTATIC = 11;

  /**
   * Instruction PUTSTATIC (the value is {@value}).
   */
  public static final int PUTSTATIC = 12;

  /**
   * Instruction GETFIELD (the value is {@value}).
   */
  public static final int GETFIELD = 13;

  /**
   * Instruction PUTFIELD (the value is {@value}).
   */
  public static final int PUTFIELD = 14;

  /**
   * Instruction CONST_0 (the value is {@value}).
   */
  public static final int CONST_0 = 15;

  /**
   * Instruction CONST_1 (the value is {@value}).
   */
  public static final int CONST_1 = 16;

  /**
   * Instruction CONST_2 (the value is {@value}).
   */
  public static final int CONST_2 = 17;

  /**
   * Instruction CONST_3 (the value is {@value}).
   */
  public static final int CONST_3 = 18;

  /**
   * Instruction CONST_4 (the value is {@value}).
   */
  public static final int CONST_4 = 19;

  /**
   * Instruction CONST_5 (the value is {@value}).
   */
  public static final int CONST_5 = 20;

  /**
   * Instruction CONST_M1 (the value is {@value}).
   */
  public static final int CONST_M1 = 21;

  /**
   * Instruction CONST (the value is {@value}).
   */
  public static final int CONST = 22;

  /**
   * Instruction ADD (the value is {@value}).
   */
  public static final int ADD = 23;

  /**
   * Instruction SUB (the value is {@value}).
   */
  public static final int SUB = 24;

  /**
   * Instruction MUL (the value is {@value}).
   */
  public static final int MUL = 25;

  /**
   * Instruction DIV (the value is {@value}).
   */
  public static final int DIV = 26;

  /**
   * Instruction REM (the value is {@value}).
   */
  public static final int REM = 27;

  /**
   * Instruction NEG (the value is {@value}).
   */
  public static final int NEG = 28;

  /**
   * Instruction SHL (the value is {@value}).
   */
  public static final int SHL = 29;

  /**
   * Instruction SHR (the value is {@value}).
   */
  public static final int SHR = 30;

  /**
   * Instruction INC (the value is {@value}).
   */
  public static final int INC = 31;

  /**
   * Instruction NEW (the value is {@value}).
   */
  public static final int NEW = 32;

  /**
   * Instruction NEWARRAY (the value is {@value}).
   */
  public static final int NEWARRAY = 33;

  /**
   * Instruction ALOAD (the value is {@value}).
   */
  public static final int ALOAD = 34;

  /**
   * Instruction ASTORE (the value is {@value}).
   */
  public static final int ASTORE = 35;

  /**
   * Instruction BALOAD (the value is {@value}).
   */
  public static final int BALOAD = 36;

  /**
   * Instruction BASTORE (the value is {@value}).
   */
  public static final int BASTORE = 37;

  /**
   * Instruction ARRAYLENGTH (the value is {@value}).
   */
  public static final int ARRAYLENGTH = 38;

  /**
   * Instruction POP (the value is {@value}).
   */
  public static final int POP = 39;

  /**
   * Instruction DUP (the value is {@value}).
   */
  public static final int DUP = 40;

  /**
   * Instruction DUP2 (the value is {@value}).
   */
  public static final int DUP2 = 41;

  /**
   * Instruction JMP (the value is {@value}).
   */
  public static final int JMP = 42;

  /**
   * Instruction JEQ (the value is {@value}).
   */
  public static final int JEQ = 43;

  /**
   * Instruction JNE (the value is {@value}).
   */
  public static final int JNE = 44;

  /**
   * Instruction JLT (the value is {@value}).
   */
  public static final int JLT = 45;

  /**
   * Instruction JLE (the value is {@value}).
   */
  public static final int JLE = 46;

  /**
   * Instruction JGT (the value is {@value}).
   */
  public static final int JGT = 47;

  /**
   * Instruction JGE (the value is {@value}).
   */
  public static final int JGE = 48;

  /**
   * Instruction CALL (the value is {@value}).
   */
  public static final int CALL = 49;

  /**
   * Instruction RETURN (the value is {@value}).
   */
  public static final int RETURN = 50;

  /**
   * Instruction ENTER (the value is {@value}).
   */
  public static final int ENTER = 51;

  /**
   * Instruction EXIT (the value is {@value}).
   */
  public static final int EXIT = 52;

  /**
   * Instruction READ (the value is {@value}).
   */
  public static final int READ = 53;

  /**
   * Instruction PRINT (the value is {@value}).
   */
  public static final int PRINT = 54;

  /**
   * Instruction BREAD (the value is {@value}).
   */
  public static final int BREAD = 55;

  /**
   * Instruction BPRINT (the value is {@value}).
   */
  public static final int BPRINT = 56;

  /**
   * Instruction TRAP (the value is {@value}).
   */
  public static final int TRAP = 57;

}

/*^*****************************************************************************
  File History:

 - 2008-05-26 20:44:14 Slobodan
   Initial version

*****************************************************************************^*/
