/*
 * @(#)MJVMListener.java  1.0.0 / 2008-05-26
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm;

/**
 * MJVM Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public interface MJVMListener {

  /**
   * Notifies listener that bytecode has loaded.
   */
  public void bytecodeLoaded();

  /**
   * Notifies listener that bytecode interpretation has started.
   */
  public void interpretationStarted();

  /**
   * Notifies listener that bytecode interpretation has finished.
   */
  public void interpretationFinished();

  /**
   * Notifies listener that bytecode interpretation has stopped.
   */
  public void interpretationStopped();

  /**
   * Notifies listener that bytecode debugging has started.
   */
  public void debuggingStarted();

  /**
   * Notifies listener that bytecode debugging has finished.
   */
  public void debuggingFinished();

  /**
   * Notifies listener that bytecode debugging has stopped.
   */
  public void debuggingStopped();

  /**
   * Notifies listener that bytecode debugging has paused.
   *
   * @param address current PC value
   */
  public void debuggingPaused(int address);

  /**
   * Notifies listener that bytecode debugging has resumed.
   */
  public void debuggingResumed();

  /**
   * Notifies listener that MJVM has shutdown.
   */
  public void machineShutdown();

}

/*^*****************************************************************************
  File History:

 - 2008-05-26 20:56:05 Slobodan
   Initial version

*****************************************************************************^*/
