/*
 * @(#)MJVMMemory.java  1.0.0 / 2008-05-26
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm;

/**
 * MJVM Abstract Memory.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public abstract class MJVMMemory {

/*^**************************************************************************^*/
/*- Public Methods.                                                          -*/
/*^**************************************************************************^*/

  /**
   * Returns the size of the memory.
   *
   * @return the size of the memory
   */
  public abstract int getSize();

  /**
   * Registers new MJVMMemoryListener listener.
   *
   * @param mjvmml the MJVMMemoryListener
   */
  public abstract void addMemoryListener(MJVMMemoryListener mjvmml);

  /**
   * Removes specified MJVMMemoryListener listener.
   *
   * @param mjvmml the MJVMMemoryListener
   */
  public abstract void removeMemoryListener(MJVMMemoryListener mjvmml);

/*^**************************************************************************^*/
/*- Package-Private Methods.                                                 -*/
/*^**************************************************************************^*/

  /**
   * Resets the memory.
   */
  abstract void reset();

}

/*^*****************************************************************************
  File History:

 - 2008-05-26 20:58:07 Slobodan
   Initial version

*****************************************************************************^*/

