/*
 * @(#)MJVMPStackListener.java  1.0.0 / 2008-05-26
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm;

/**
 * MJVM Procedure Stack Listener.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public interface MJVMPStackListener extends MJVMWordMemoryListener {

  /**
   * Notifies listener that PSP has changed.
   *
   * @param oldValue the old PSP value
   * @param newValue the new PSP value
   */
  public void pstackPSPChanged(int oldValue, int newValue);

  /**
   * Notifies listener that FP has changed.
   *
   * @param oldValue the old FP value
   * @param newValue the new FP value
   */
  public void pstackFPChanged(int oldValue, int newValue);

}

/*^*****************************************************************************
  File History:

 - 2008-05-26 21:02:13 Slobodan
   Initial version

*****************************************************************************^*/
