/*
 * @(#)MJVMBreakPointsEditor.java  1.0.0 / 2008-05-26
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm.gui;

import java.awt.Component;

import javax.swing.DefaultCellEditor;
import javax.swing.JCheckBox;
import javax.swing.JTable;

/**
 * MJVMBreakPoints Table Cell Editor.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
final class MJVMBreakPointsEditor extends DefaultCellEditor {

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJVMBreakPointsEditor object.
   */
  public MJVMBreakPointsEditor() {
    super(new JCheckBox());
    JCheckBox checkBox = (JCheckBox)editorComponent;
    checkBox.setHorizontalAlignment(JCheckBox.CENTER);
    checkBox.setVerticalAlignment(JCheckBox.BOTTOM);
    checkBox.setBorder(MJVMBreakPointsRenderer.EMPTY_BORDER);
    checkBox.setMargin(MJVMBreakPointsRenderer.NULL_INSETS);
    checkBox.setBackground(MJVMTableHighlighter.ODD_ROW_COLOR);
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public Component getTableCellEditorComponent(JTable table, Object value,
                                               boolean isSelected,
                                               int row, int column) {
    delegate.setValue(value);
    editorComponent.setOpaque((row & 1) != 0);
    return editorComponent;
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-26 21:38:50 Slobodan
   Initial version

*****************************************************************************^*/
