/*
 * @(#)MJVMBreakPointsRenderer.java  1.0.0 / 2008-05-26
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm.gui;

import java.awt.Component;
import java.awt.Graphics;
import java.awt.Insets;
import java.awt.Rectangle;

import javax.swing.JCheckBox;
import javax.swing.JTable;
import javax.swing.border.EmptyBorder;
import javax.swing.table.TableCellRenderer;

/**
 * MJVMBreakPoints Table Cell Renderer.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
final class MJVMBreakPointsRenderer extends JCheckBox
                                    implements TableCellRenderer {

/*^**************************************************************************^*/
/*- Package-Private Static Fields.                                           -*/
/*^**************************************************************************^*/

  static final EmptyBorder EMPTY_BORDER = new EmptyBorder(0, 0, 0, 0);
  static final Insets NULL_INSETS = new Insets(0, 0, 0, 0);

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private boolean paintCheck;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJVMBreakPointsRenderer object.
   *
   */
  public MJVMBreakPointsRenderer() {
    super();
    setHorizontalAlignment(CENTER);
    setVerticalAlignment(BOTTOM);
    setBorder(EMPTY_BORDER);
    setMargin(NULL_INSETS);
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public Component getTableCellRendererComponent(JTable table, Object value,
                                                 boolean isSelected,
                                                 boolean hasFocus,
                                                 int row, int column) {
    if (value == null) {
      setSelected(false);
      paintCheck = false;
    } else {
      paintCheck = true;
      setSelected(((Boolean)value).booleanValue());
    }
    return this;
  }

  /**
   * {@inheritDoc}
   */
  public void paintComponent(Graphics g) {
    if (paintCheck) {
      super.paintComponent(g);
    } else {
      g.setColor(getBackground());
      g.fillRect(0, 0, getWidth(), getHeight());
    }
  }

  /**
   * {@inheritDoc}
   */
  public void repaint(long tm, int x, int y, int width, int height) {
    // empty method body
  }

  /**
   * {@inheritDoc}
   */
  public void repaint(Rectangle r) {
    // empty method body
  }

  /**
   * {@inheritDoc}
   */
  public void repaint() {
    // empty method body
  }

  /**
   * {@inheritDoc}
   */
  public void validate() {
    // empty method body
  }

  /**
   * {@inheritDoc}
   */
  public void revalidate() {
    // empty method body
  }

  /**
   * {@inheritDoc}
   */
  public void firePropertyChange(String propertyName, boolean oldValue,
                                 boolean newValue) {
    // empty method body
  }

  /**
   * {@inheritDoc}
   */
  protected void firePropertyChange(String propertyName, Object oldValue,
                                    Object newValue) {
    // empty method body
  }

  /**
   * {@inheritDoc}
   */
  public void firePropertyChange(String propertyName, byte oldValue,
                                 byte newValue) {
    // empty method body
  }

  /**
   * {@inheritDoc}
   */
  public void firePropertyChange(String propertyName, char oldValue,
                                 char newValue) {
    // empty method body
  }

  /**
   * {@inheritDoc}
   */
  public void firePropertyChange(String propertyName, short oldValue,
                                 short newValue) {
    // empty method body
  }

  /**
   * {@inheritDoc}
   */
  public void firePropertyChange(String propertyName, int oldValue,
                                 int newValue) {
    // empty method body
  }

  /**
   * {@inheritDoc}
   */
  public void firePropertyChange(String propertyName, long oldValue,
                                 long newValue) {
    // empty method body
  }

  /**
   * {@inheritDoc}
   */
  public void firePropertyChange(String propertyName, float oldValue,
                                 float newValue) {
    // empty method body
  }

  /**
   * {@inheritDoc}
   */
  public void firePropertyChange(String propertyName, double oldValue,
                                 double newValue) {
    // empty method body
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-26 21:40:59 Slobodan
   Initial version

*****************************************************************************^*/
