/*
 * @(#)MJVMDataBrowser.java  1.0.0 / 2008-05-27
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm.gui;

import java.awt.event.WindowEvent;

import javax.swing.table.TableModel;

/**
 * MJVM Data Browser.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
final class MJVMDataBrowser extends MJVMMemoryBrowser {

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJVMDataBrowser object.
   *
   * @param mjvmcf the console frame
   */
  public MJVMDataBrowser(MJVMConsoleFrame mjvmcf) {
    super(mjvmcf, "MJVM Data Memory", 0); //$NON-NLS-1$
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected TableModel createMemoryTableModel() {
    return new MJVMDataTableModel(mjvm.getDataMemory());
  }

  /**
   * {@inheritDoc}
   */
  protected void onClosing(WindowEvent we) {
    mjvmcf.hideDataBrowser();
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-27 10:39:35 Slobodan
   Initial version

*****************************************************************************^*/
