/*
 * @(#)MJVMGeneralPreferences.java  1.0.0 / 2008-05-27
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm.gui;

import javax.swing.JComponent;

import net.wrka.swing.preferences.PreferencesPanel;
import net.wrka.swing.preferences.GeneralPreferences;
import net.wrka.util.CommonConstants;

/**
 * MJVM General Preferences.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public final class MJVMGeneralPreferences extends GeneralPreferences {

/*^**************************************************************************^*/
/*- Public Static Fields.                                                    -*/
/*^**************************************************************************^*/

  /**
   * Singleton instance.
   */
  public static final MJVMGeneralPreferences INSTANCE;

  /**
   * Echo property.
   */
  public static final String MJVM_CONSOLE_ECHO;

/*^**************************************************************************^*/
/*- Static Initialization.                                                   -*/
/*^**************************************************************************^*/

  static {
    INSTANCE = new MJVMGeneralPreferences();
    MJVM_CONSOLE_ECHO = "MJVMConsoleEcho"; //$NON-NLS-1$
  }

/*^**************************************************************************^*/
/*- Private Constructor.                                                     -*/
/*^**************************************************************************^*/

 /**
  * Class has no instances.
  */
  private MJVMGeneralPreferences() {
    super();
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Returns default preferences.
   *
   * @return default preferences
   */
  public String[] getDefaultPreferences() {
    String[] prefs = super.getDefaultPreferences(2);
    int si = prefs.length - 2;
    prefs[si] = MJVM_CONSOLE_ECHO;
    prefs[si + 1] = CommonConstants.STRING_FALSE;
    return prefs;
  }

  /**
   * Returns group title.
   *
   * @return group title
   */
  public String getGroupTitle() {
    return "General Preferences";
  }

  /**
   * Creates and returns PreferencesPanel.
   *
   * @param parent the panel's parent.
   *
   * @return PreferencesPanel
   */
  public PreferencesPanel getGroupPanel(JComponent parent) {
    return new MJVMGeneralPreferencesPanel(preferences);
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-27 10:45:23 Slobodan
   Initial version

*****************************************************************************^*/
