/*
 * @(#)MJVMGeneralPreferencesPanel.java  1.0.0 / 2008-05-27
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm.gui;

import java.awt.BorderLayout;
import java.awt.Insets;
import java.util.prefs.Preferences;

import javax.swing.JCheckBox;
import javax.swing.JPanel;
import javax.swing.border.TitledBorder;

import net.wrka.swing.preferences.GeneralPreferencesPanel;

/**
 * MJVM General Preferences Panel.
 *
 * @version 1.0.0
 * @author Slobodan Vrkacevic (e-mail: slobodan.vrkacevic@gmail.com)
 */
final class MJVMGeneralPreferencesPanel extends GeneralPreferencesPanel {

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private final JCheckBox jcbEchoOn;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJVMGeneralPreferencesPanel object.
   *
   * @param preferences the preferences
   */
  public MJVMGeneralPreferencesPanel(Preferences preferences) {
    super(preferences);
    add(jcbStorepreferences);
    add(jcbShowSplash);
    Insets opins = new Insets(8, 10, 12, 2);
    jcbEchoOn = new JCheckBox("echo on"); //$NON-NLS-1$
    jcbEchoOn.setMargin(opins);
    JPanel mjvmOptions = new JPanel(new BorderLayout());
    mjvmOptions.setBorder(new TitledBorder("MJVM")); //$NON-NLS-1$
    mjvmOptions.add(jcbEchoOn, BorderLayout.WEST);
    addComponent(mjvmOptions, 0, 0, 1, 1, GBC_NORTHWEST, GBC_HORIZONTAL, null,
                 1.0, 0.33);
    jcbShowSplash.setMargin(opins);
    JPanel mjvmStartup = new JPanel(new BorderLayout());
    mjvmStartup.setBorder(new TitledBorder("Startup")); //$NON-NLS-1$
    mjvmStartup.add(jcbShowSplash, BorderLayout.WEST);
    addComponent(mjvmStartup, 0, 1, 1, 1, GBC_NORTHWEST, GBC_HORIZONTAL, null,
                 1.0, 0.33);
    jcbStorepreferences.setMargin(opins);
    JPanel mjvmSetting = new JPanel(new BorderLayout());
    mjvmSetting.setBorder(new TitledBorder("Settings")); //$NON-NLS-1$
    mjvmSetting.add(jcbStorepreferences, BorderLayout.WEST);
    addComponent(mjvmSetting, 0, 2, 1, 1, GBC_NORTHWEST, GBC_HORIZONTAL, null,
                 1.0, 0.33);
    update();
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  public void applyChanges() {
    super.applyChanges();
    preferences.putBoolean(MJVMGeneralPreferences.MJVM_CONSOLE_ECHO,
                           jcbEchoOn.isSelected());
  }

  /**
   * {@inheritDoc}
   */
  public void update() {
    super.update();
    jcbEchoOn.setSelected(
      preferences.getBoolean(MJVMGeneralPreferences.MJVM_CONSOLE_ECHO, false));
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-27 10:45:39 Slobodan
   Initial version

*****************************************************************************^*/
