/*
 * @(#)MJVMMemoryTable.java  1.0.0 / 2008-05-27
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm.gui;

import java.awt.Color;
import java.awt.Dimension;

import javax.swing.DefaultCellEditor;
import javax.swing.table.TableCellEditor;
import javax.swing.table.TableModel;

import net.wrka.swing.components.JWxTable;

/**
 * MJVM Memory Table.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
class MJVMMemoryTable extends JWxTable {

/*^**************************************************************************^*/
/*- Package-Private Fields.                                                  -*/
/*^**************************************************************************^*/

  static final Color GRID_COLOR = new Color(192, 192, 192);
  static final Dimension CELL_SPACING = new Dimension(1, 1);

/*^**************************************************************************^*/
/*- Public Constructors.                                                     -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJVMMemoryTable object.
   *
   * @param mjvmtm the table model
   * @param installHighlighter the install highlighter flag
   */
  public MJVMMemoryTable(TableModel mjvmtm, boolean installHighlighter) {
    super(mjvmtm);
    setIntercellSpacing(CELL_SPACING);
    setGridColor(GRID_COLOR);
    TableCellEditor nuberCellEditor = getDefaultEditor(Number.class);
    if (nuberCellEditor instanceof DefaultCellEditor) {
      ((DefaultCellEditor)nuberCellEditor).setClickCountToStart(1);
    }
    if (installHighlighter) {
      MJVMTableHighlighter.install(this);
    }
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-27 10:53:46 Slobodan
   Initial version

*****************************************************************************^*/
