/*
 * @(#)MJVMPStackPointerCellRenderer.java  1.0.0 / 2008-05-27
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm.gui;

import javax.swing.Icon;
import javax.swing.table.DefaultTableCellRenderer;

import yu.ac.bg.etf.ri4pp.mjtools.res.MJResourceManager;

/**
 * MJVM PStack Pointer Table Cell Renderer.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
final class MJVMPStackPointerCellRenderer extends DefaultTableCellRenderer {

/*^**************************************************************************^*/
/*- Private Fields.                                                          -*/
/*^**************************************************************************^*/

  private final Icon fpIcon;
  private final Icon pspIcon;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJVMPStackPointerCellRenderer object.
   */
  public MJVMPStackPointerCellRenderer() {
    super();
    pspIcon = MJResourceManager.
                  INSTANCE.getCachedImageIcon("GreenArrow.png"); //$NON-NLS-1$
    fpIcon = MJResourceManager.
                  INSTANCE.getCachedImageIcon("BlueArrow.png"); //$NON-NLS-1$
    setHorizontalTextPosition(LEFT);
    setVerticalTextPosition(CENTER);
    setHorizontalAlignment(RIGHT);
    setVerticalAlignment(CENTER);
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected void setValue(Object value) {
    if (value instanceof Integer) {
      switch (((Integer)value).intValue()) {
        case 1:
          setText("FP"); //$NON-NLS-1$
          setIcon(fpIcon);
          break;
        case 2:
          setText("PSP"); //$NON-NLS-1$
          setIcon(pspIcon);
          break;
        case 3:
          setText("PSP, FP"); //$NON-NLS-1$
          setIcon(pspIcon);
          break;
        default:
          setText(""); //$NON-NLS-1$
          setIcon(null);
          break;
      }
    } else {
      setText(""); //$NON-NLS-1$
      setIcon(null);
    }
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-27 10:57:03 Slobodan
   Initial version

*****************************************************************************^*/
