/*
 * @(#)MJVMPointerCellRenderer.java  1.0.0 / 2008-05-27
 *
 * Copyright (c) 2008, ETF and contributors. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package yu.ac.bg.etf.ri4pp.mjtools.vm.gui;

import javax.swing.Icon;
import javax.swing.table.DefaultTableCellRenderer;

import yu.ac.bg.etf.ri4pp.mjtools.res.MJResourceManager;

/**
 * MJVM Memory Pointer Table Cell Renderer.
 *
 * @version 1.0.0
 * @author Slobodan Vrkacevic (e-mail: slobodan.vrkacevic@gmail.com)
 */
final class MJVMPointerCellRenderer extends DefaultTableCellRenderer {

/*^**************************************************************************^*/
/*- Private Fields.                                                          -*/
/*^**************************************************************************^*/

  private final String label;
  private final Icon icon;

/*^**************************************************************************^*/
/*- Public Constructor.                                                      -*/
/*^**************************************************************************^*/

  /**
   * Constructs new MJVMPointerCellRenderer object.
   *
   * @param label pointer label
   */
  public MJVMPointerCellRenderer(String label) {
    super();
    this.label = label;
    icon = MJResourceManager.
               INSTANCE.getCachedImageIcon("GreenArrow.png"); //$NON-NLS-1$
    setHorizontalTextPosition(LEFT);
    setVerticalTextPosition(CENTER);
    setHorizontalAlignment(RIGHT);
    setVerticalAlignment(CENTER);
  }

/*^**************************************************************************^*/
/*- Overridden Method.                                                       -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected void setValue(Object value) {
    if ((value instanceof Boolean) && (((Boolean)value).booleanValue())) {
      setText(label);
      setIcon(icon);
    } else {
      setText(""); //$NON-NLS-1$
      setIcon(null);
    }
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-27 10:54:31 Slobodan
   Initial version

*****************************************************************************^*/
