/*
 * @(#)AllTests.java  1.0.0 / 2008-05-07
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.util;

import junit.framework.Test;
import junit.framework.TestSuite;

import net.wrka.junit.TestPackage;

/**
 * All test for package <tt>net.wrka.util</tt> test.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class AllTests extends TestPackage {

/*^**************************************************************************^*/
/*- Public Static Methods.                                                   -*/
/*^**************************************************************************^*/

  /**
   * Returns test suit for the package <tt>net.wrka.util</tt>.
   *
   * @return test suit for the package <tt>net.wrka.util</tt>
   */
  public static Test suite() {
    TestSuite suite = createTestSuite(AllTests.class);
    suite.addTest(net.wrka.util.queue.AllTests.suite());
    suite.addTest(net.wrka.util.stack.AllTests.suite());
    suite.addTestSuite(SimpleArrayListTest.class);
    suite.addTestSuite(SimpleHashMapTest.class);
    return suite;
  }

  /**
   * Main method.
   *
   * @param args the arguments
   */
  public static void main(String[] args) {
    startTextTestRunner(AllTests.class, args);
  }

}

/*^*****************************************************************************
  File History:

 - 2008-05-07 20:31:31 Slobodan
   Initial version

*****************************************************************************^*/
