/*
 * @(#)DefaultXMLAttributesTest.java  1.0.0 / 2008-04-23
 *
 * Copyright (c) 2008, Slobodan Vrkacevic. All rights reserved.
 *
 * This software is licensed under the LGPL, version 2.1, license.
 * A copy of the license is included in the file LICENSE-LGPL.txt.
 */
package net.wrka.xml.simple;

import junit.framework.TestCase;

/**
 * DefaultXMLAttributes Test.
 *
 * @author Slobodan Vrkacevic (slobodan.vrkacevic@gmail.com)
 * @version 1.0.0
 */
public class DefaultXMLAttributesTest extends TestCase {

/*^**************************************************************************^*/
/*- Private Field.                                                           -*/
/*^**************************************************************************^*/

  private DefaultXMLAttributes xmlAttributes = null;

/*^**************************************************************************^*/
/*- Test Methods.                                                            -*/
/*^**************************************************************************^*/

  /**
   * Tests <tt>isEmpty</tt> methods.
   */
  public void testEmpty() {
    assertTrue(xmlAttributes.isEmpty());
  }

  /**
   * Tests <tt>put</tt>, <tt>isEmpty</tt> and <tt>clear</tt> methods.
   */
  public void testPutClearEmpty() {
    xmlAttributes.put("a1", "v1"); //$NON-NLS-1$ //$NON-NLS-2$
    assertFalse(xmlAttributes.isEmpty());
    xmlAttributes.clear();
    assertTrue(xmlAttributes.isEmpty());
  }

  /**
   * Tests <tt>put</tt> and <tt>get</tt> methods.
   */
  public void testPutGetString() {
    xmlAttributes.put("a1", "v1"); //$NON-NLS-1$ //$NON-NLS-2$
    assertEquals("v1", xmlAttributes.get("a1")); //$NON-NLS-1$ //$NON-NLS-2$
  }

  /**
   * Tests <tt>put</tt>, <tt>isEmpty</tt> and <tt>clear</tt> methods.
   */
  public void testPutGetInteger() {
    xmlAttributes.put("a1", 1); //$NON-NLS-1$
    assertEquals(1, xmlAttributes.getInteger("a1", 0)); //$NON-NLS-1$
  }

/*^**************************************************************************^*/
/*- Overridden Methods.                                                      -*/
/*^**************************************************************************^*/

  /**
   * {@inheritDoc}
   */
  protected void setUp() throws Exception {
    super.setUp();
    xmlAttributes = new DefaultXMLAttributes();
  }

  /**
   * {@inheritDoc}
   */
  protected void tearDown() throws Exception {
    xmlAttributes = null;
    super.tearDown();
  }

}

/*^*****************************************************************************
  File History:

 - 2008-04-23 20:09:13 Slobodan
   Initial version

*****************************************************************************^*/
